Get file upload status

Returns file upload statuses.

Parameters:

  • survey_id: form ID.
  • data: list of files whose statuses need to be checked. Download access to the file is verified.

Request

POST

https://api.forms.yandex.net/v1/surveys/{survey_id}/files/verify

Path parameters

Name

Description

survey_id

Type: string

Pattern: ^[a-fA-F\d]{24}$

Example: ``

Body

application/json
[
  {
    "path": "example",
    "url": "example"
  }
]

Type: FileIn[]

FileIn

Name

Description

path

Type: string

File download path

Example: example

url

Type: string

File download URL

Example: example

Example
{
  "path": "example",
  "url": "example"
}

Responses

200 OK

OK

Body

application/json
[
  {
    "name": "example",
    "path": "example",
    "size": 0,
    "url": "example",
    "check_status": "check"
  }
]

Type: FileOut[]

FileCheckStatusType

An enumeration.

Type: string

Enum: check, ready, infected, error, deleted

FileOut

Name

Description

name

Type: string

File name

Example: example

path

Type: string

File download path

Example: example

size

Type: integer

File size

check_status

All of 1 type
  • FileCheckStatusType

    Type: FileCheckStatusType

    An enumeration.

    Enum: check, ready, infected, error, deleted

File check status

Example: check

url

Type: string

File download URL

Example: example

Example
{
  "name": "example",
  "path": "example",
  "size": 0,
  "url": "example",
  "check_status": "check"
}